Subject: [Editorial Errata Reported] RFC8336 (5538)

From: RFC Errata System <[email-masked]>
Date: Thu, 25 Oct 2018 08:07:18 -0700 (PDT)

The following errata report has been submitted for RFC8336,
"The ORIGIN HTTP/2 Frame".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5538

--------------------------------------
Type: Editorial
Reported by: Lucas Pardue <[email-masked]>

Section: Appendix B

Original Text
-------------
Senders take note that, as per Section 4, Step 5, of [RFC6454], the
values in an ORIGIN header need to be case-normalized before
serialization.

Corrected Text
--------------
Senders take note that, as per Step 5 in Section 4 of [RFC6454], the
values in an ORIGIN header need to be case-normalized before
serialization.

Notes
-----
The problem is "Section 4". In the HTMLized version of this document the hyperlink incorrectly links to https://tools.ietf.org/html/rfc8336#section-4, the real link should be https://tools.ietf.org/html/rfc6454#section-4. 

I think this problem comes from the insertion of the Step 5 clause; the suggested correction is a simple word reorder.

I'll concede this is in the appendix but it is a little confusing. Particular attention is being drawn to doing "the right thing" and that section links to 8336's security considerations which might divert attention to solving the wrong problem..

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8336 (draft-ietf-httpbis-origin-frame-06)
--------------------------------------
Title               : The ORIGIN HTTP/2 Frame
Publication Date    : March 2018
Author(s)           : M. Nottingham, E. Nygren
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 26 Oct 2018 07:37:35 +1100

This is an issue in the html rendering,  it the rfc text itself. 

Sent from my iPhone

> On 26 Oct 2018, at 2:07 am, RFC Errata System <[email-masked]> wrote:
>

---

From: Martin J. Dürst <[email-masked]>
Date: Fri, 26 Oct 2018 04:51:52 +0000

Just to save Mark some typing on his phone, what he meant
was probably:

This is an issue in the html rendering,  NOT IN the rfc text itself.

The HTML version at https://tools.ietf.org/html/rfc8336 is based on 
heuristics, and heuristics sometimes fail.

Regards,    Martin.